<?php

namespace App\Filament\Resources\DonorFinancialPortfolioResource\Api\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateDonorFinancialPortfolioRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required',
            'balance' => 'required',
            'created_by' => 'required',
            'operating_percentage' => 'required',
        ];
    }
}
